## kdnssd-kf5 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KDNSSD)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake/modules) #TODO: remove cmake/modules when extra-cmake-modules is done

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

include(ECMPoQmTools)

set(KF5_VERSION "5.18.0") # handled by release scripts

set(REQUIRED_QT_VERSION "5.3.0")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KDNSSD
         SOVERSION 5               VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdnssd_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfigVersion.cmake"
                        SOVERSION 5)

configure_file(config-kdnssd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdnssd.h )

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Avahi)
set_package_properties(Avahi PROPERTIES DESCRIPTION "Facilities for service discovery on a local network (DNSSD)"
                       URL "http://avahi.org"
                       TYPE OPTIONAL
                       PURPOSE "Either Avahi or DNSSD is required for KDE applications to make use of multicast DNS/DNS-SD service discovery"
                      )

if(NOT AVAHI_FOUND)
    find_package(DNSSD)
    set_package_properties(DNSSD PROPERTIES DESCRIPTION "Facilities for service discovery on a local network"
                          URL "http://avahi.org"
                          TYPE OPTIONAL
                          PURPOSE "Either Avahi or DNSSD is required for KDE applications to make use of multicast DNS/DNS-SD service discovery"
                          )
endif(
                        )

if(AVAHI_FOUND OR DNSSD_FOUND)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5DNSSD")
ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5DNSSDConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5DNSSDTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5DNSSDTargets.cmake NAMESPACE KF5:: COMPONENT Devel)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

## kdnssd-kf5 5.3.0

=== debian/changelog ===
kdnssd-kf5 (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:25:18 +0100

kdnssd-kf5 (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:53:15 +0200

kdnssd-kf5 (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update copyright to match licensing to source 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:28:00 +0200

kdnssd-kf5 (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 09 Jul 2014 17:40:10 +0200

=== debian/control ===
Source: kdnssd-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libavahi-common-dev,
               libkf5config-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kdnssd
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdnssd.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdnssd.git

Package: libkf5dnssd-dev
Section: libdevel
Architecture: any
Depends: libkf5dnssd5 (= ${binary:Version}), ${misc:Depends},
 qtbase5-dev
Description: development files for kdnssd
 KDNSSD is a library for handling the DNS-based 
 Service Discovery Protocol (DNS-SD), the layer of 
 Zeroconf that allows network services.
 .
 Contains development files for kdnssd.

Package: libkf5dnssd5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libkf5dnssd-data (= ${source:Version})
Description: Abstraction to system DNSSD features.
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.

Package: libkf5dnssd-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Abstraction to system DNSSD features.
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.
 .
 This package contains the data files.

Package: libkf5dnssd5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5dnssd5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdnssd
 KDNSSD is a library for handling the DNS-based
 Service Discovery Protocol (DNS-SD), the layer of
 Zeroconf that allows network services.
 .
 Contains debug symbols for kdnssd.

## kdnssd-kf5 5.9.0

=== debian/changelog ===
kdnssd-kf5 (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:30:19 +0200

kdnssd-kf5 (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:40:31 +0100

kdnssd-kf5 (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 17:01:20 +0100

kdnssd-kf5 (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:19:15 +0100

kdnssd-kf5 (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:05:44 +0100

kdnssd-kf5 (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:12:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                libavahi-common-dev,
-               libkf5config-dev (>= 5.3.0),
+               libkf5config-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,

## kdnssd-kf5 5.15.0

=== debian/changelog ===
kdnssd-kf5 (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:47:37 +0100

kdnssd-kf5 (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:14:50 +0100

kdnssd-kf5 (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:04:37 +0200

kdnssd-kf5 (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:29:00 +0200

kdnssd-kf5 (5.11.0-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 08 Jul 2015 08:15:31 -0700

kdnssd-kf5 (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 13:15:50 +0200

kdnssd-kf5 (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:08:15 +0200

kdnssd-kf5 (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:51 +0200

kdnssd-kf5 (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:26:53 +0100

kdnssd-kf5 (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 02 Mar 2015 13:02:41 +0100

kdnssd-kf5 (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Jan 2015 10:24:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,29 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
                libavahi-common-dev,
-               libkf5config-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 3.9.5
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
+Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdnssd.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdnssd.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdnssd.git
 
 Package: libkf5dnssd-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5dnssd5 (= ${binary:Version}), ${misc:Depends},
- qtbase5-dev
+Depends: libkf5dnssd5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
+         ${misc:Depends}
 Description: development files for kdnssd
- KDNSSD is a library for handling the DNS-based 
- Service Discovery Protocol (DNS-SD), the layer of 
+ KDNSSD is a library for handling the DNS-based
+ Service Discovery Protocol (DNS-SD), the layer of
  Zeroconf that allows network services.
  .
  Contains development files for kdnssd.
@@ -32,8 +33,9 @@
 Package: libkf5dnssd5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
- libkf5dnssd-data (= ${source:Version})
+Depends: libkf5dnssd-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Abstraction to system DNSSD features.
  KDNSSD is a library for handling the DNS-based
  Service Discovery Protocol (DNS-SD), the layer of

## kdnssd-kf5 5.18.0

=== debian/changelog ===
kdnssd-kf5 (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:20:32 +0100

kdnssd-kf5 (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:17 +0100

kdnssd-kf5 (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:24 +0200

kdnssd-kf5 (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:37 +0100

kdnssd-kf5 (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:08 +0200

kdnssd-kf5 (5.13.0-1) unstable; urgency=medium

  * Drop XS-Testsuite field
  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Aug 2015 15:26:31 +0200

kdnssd-kf5 (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdnssd.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdnssd.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5dnssd5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kdnssd-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kdnssd-(.*)\.tar\.xz

## kdnssd-kf5 5.26.0

=== debian/changelog ===
kdnssd-kf5 (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:44:00 +0100

kdnssd-kf5 (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:40:07 +0000

kdnssd-kf5 (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:11:19 +0200

kdnssd-kf5 (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:19:30 -0700

kdnssd-kf5 (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:14 +0100

kdnssd-kf5 (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
@@ -13,8 +13,8 @@
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdnssd.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdnssd.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
 
 Package: libkf5dnssd-dev
 Section: libdevel
@@ -50,16 +50,3 @@
  Zeroconf that allows network services.
  .
  This package contains the data files.
-
-Package: libkf5dnssd5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5dnssd5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kdnssd
- KDNSSD is a library for handling the DNS-based
- Service Discovery Protocol (DNS-SD), the layer of
- Zeroconf that allows network services.
- .
- Contains debug symbols for kdnssd.

## kdnssd-kf5 5.28.0

=== debian/changelog ===
kdnssd-kf5 (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:01:26 +0100

kdnssd-kf5 (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:50:06 +0200

kdnssd-kf5 (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:56:03 +0200

kdnssd-kf5 (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:18:27 +0200

kdnssd-kf5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:15:36 +0200

kdnssd-kf5 (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 20:55:35 +0200

kdnssd-kf5 (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 08:52:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kdnssd.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kdnssd.git
 
 Package: libkf5dnssd-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5dnssd5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
 Description: development files for kdnssd
  KDNSSD is a library for handling the DNS-based
@@ -28,6 +28,7 @@
  Zeroconf that allows network services.
  .
  Contains development files for kdnssd.
+Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5dnssd5
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/kdnssd-(.*)\.tar\.xz

## kdnssd-kf5 5.31.0

=== debian/changelog ===
kdnssd-kf5 (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:27 +0000

kdnssd-kf5 (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:17 +0000

kdnssd-kf5 (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kdnssd.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kdnssd.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
 
 Package: libkf5dnssd-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5dnssd5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.5.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for kdnssd
  KDNSSD is a library for handling the DNS-based
@@ -28,7 +28,6 @@
  Zeroconf that allows network services.
  .
  Contains development files for kdnssd.
-Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5dnssd5
 Architecture: any
@@ -43,8 +42,8 @@
 
 Package: libkf5dnssd-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: foreign
 Description: Abstraction to system DNSSD features.
  KDNSSD is a library for handling the DNS-based
  Service Discovery Protocol (DNS-SD), the layer of

## kdnssd-kf5 5.38.0

=== debian/changelog ===
kdnssd-kf5 (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:07 +0100

kdnssd-kf5 (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:43 +0100

kdnssd-kf5 (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:16 +0100

kdnssd-kf5 (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:43 +0100

kdnssd-kf5 (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:37 +0100

kdnssd-kf5 (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:07:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),

## kdnssd-kf5 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
project(KDNSSD VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake/modules) #TODO: remove cmake/modules when extra-cmake-modules is done

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMPoQmTools)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDNSSD
         SOVERSION 5               VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdnssd_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfigVersion.cmake"
                        SOVERSION 5)

configure_file(config-kdnssd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdnssd.h )


find_package(Avahi)
set_package_properties(Avahi PROPERTIES DESCRIPTION "Facilities for service discovery on a local network (DNSSD)"
                       URL "http://avahi.org"
                       TYPE OPTIONAL
                       PURPOSE "Either Avahi or DNSSD is required for KDE applications to make use of multicast DNS/DNS-SD service discovery"
                      )

if(NOT AVAHI_FOUND)
    find_package(DNSSD)
    set_package_properties(DNSSD PROPERTIES DESCRIPTION "Facilities for service discovery on a local network"
                          URL "http://avahi.org"
                          TYPE OPTIONAL
                          PURPOSE "Either Avahi or DNSSD is required for KDE applications to make use of multicast DNS/DNS-SD service discovery"
                          )
endif( )

if(AVAHI_FOUND OR DNSSD_FOUND)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_subdirectory(src)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5DNSSD")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5DNSSD_QCH
        FILE KF5DNSSDQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5DNSSDQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5DNSSDConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5DNSSDTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5DNSSDTargets.cmake NAMESPACE KF5:: COMPONENT Devel)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
ecm_create_qm_loader(kdnssd_QM_LOADER kdnssd5_qt)

set(kdnssd_LIB_SRCS
    servicebase.cpp
    servicemodel.cpp
    domainmodel.cpp
    ${kdnssd_QM_LOADER}
)

if (AVAHI_FOUND)
    include_directories( ${AVAHI_INCLUDE_DIR} )
    set(kdnssd_LIB_SRCS ${kdnssd_LIB_SRCS}
        avahi-domainbrowser.cpp
        avahi-servicebrowser.cpp
        avahi-remoteservice.cpp
        avahi-publicservice.cpp
        avahi-servicetypebrowser.cpp
        avahi_server_interface.cpp
        avahi_serviceresolver_interface.cpp
        avahi_entrygroup_interface.cpp
    )
    qt5_add_dbus_interface (kdnssd_LIB_SRCS org.freedesktop.Avahi.DomainBrowser.xml avahi_domainbrowser_interface )
    qt5_add_dbus_interface (kdnssd_LIB_SRCS org.freedesktop.Avahi.ServiceBrowser.xml avahi_servicebrowser_interface )
    qt5_add_dbus_interface (kdnssd_LIB_SRCS org.freedesktop.Avahi.ServiceTypeBrowser.xml avahi_servicetypebrowser_interface )
elseif (DNSSD_FOUND)
    include_directories( ${DNSSD_INCLUDE_DIR} )
    set(kdnssd_LIB_SRCS ${kdnssd_LIB_SRCS}
        mdnsd-domainbrowser.cpp
        mdnsd-remoteservice.cpp
        mdnsd-publicservice.cpp
        mdnsd-responder.cpp
        mdnsd-servicebrowser.cpp
        mdnsd-servicetypebrowser.cpp
    )
else ()
    set(kdnssd_LIB_SRCS ${kdnssd_LIB_SRCS}
        dummy-domainbrowser.cpp
        dummy-remoteservice.cpp
        dummy-publicservice.cpp
        dummy-servicebrowser.cpp
        dummy-servicetypebrowser.cpp
    )

endif ()

add_library(KF5DNSSD SHARED ${kdnssd_LIB_SRCS})
generate_export_header(KF5DNSSD BASE_NAME KDNSSD
  EXPORT_FILE_NAME ${KDNSSD_BINARY_DIR}/dnssd/kdnssd_export.h
)

# Apps must include <DNSSD/File> or <dnssd/file.h>
target_include_directories(KF5DNSSD INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KDNSSD>")

target_link_libraries(KF5DNSSD PUBLIC Qt5::Network)

if (AVAHI_FOUND OR DNSSD_FOUND)
    target_link_libraries(KF5DNSSD PRIVATE Qt5::DBus)
endif ()

if (DNSSD_FOUND)
  target_link_libraries(KF5DNSSD PRIVATE ${DNSSD_LIBRARIES})
endif ()

target_include_directories(KF5DNSSD PUBLIC "$<BUILD_INTERFACE:${KDNSSD_BINARY_DIR}>")

set_target_properties(KF5DNSSD PROPERTIES
   VERSION "${KDNSSD_VERSION_STRING}"
   SOVERSION "${KDNSSD_SOVERSION}"
   EXPORT_NAME DNSSD
)

ecm_generate_headers(KDNSSD_CamelCase_HEADERS
  HEADER_NAMES
  DomainBrowser
  RemoteService
  ServiceTypeBrowser
  PublicService
  ServiceBase
  ServiceBrowser
  ServiceModel
  DomainModel

  PREFIX DNSSD
  REQUIRED_HEADERS kdnssd_HEADERS
)

install(FILES ${KDNSSD_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDNSSD/DNSSD COMPONENT Devel)

install(TARGETS KF5DNSSD EXPORT KF5DNSSDTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
install(FILES
  ${KDNSSD_BINARY_DIR}/dnssd/kdnssd_export.h
  ${kdnssd_HEADERS}
  DESTINATION  ${KDE_INSTALL_INCLUDEDIR_KF5}/KDNSSD/dnssd COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5DNSSD_QCH
        NAME KDNSSD
        BASE_NAME KF5DNSSD
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${kdnssd_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Network_QCH
        BLANK_MACROS
            KDNSSD_EXPORT
            KDNSSD_DEPRECATED
            KDNSSD_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KDNSSD LIB_NAME KF5DNSSD DEPS "network" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KDNSSD)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kdnssd-kf5 (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:11 +0000

kdnssd-kf5 (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:51 +0000

kdnssd-kf5 (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:58 +0000

kdnssd-kf5 (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:04:42 -0600

kdnssd-kf5 (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
                libavahi-common-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
@@ -15,6 +15,17 @@
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
+
+Package: libkf5dnssd-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Abstraction to system DNSSD features.
+ KDNSSD is a library for handling the DNS-based
+ Service Discovery Protocol (DNS-SD), the layer of
+ Zeroconf that allows network services.
+ .
+ This package contains the data files.
 
 Package: libkf5dnssd-dev
 Architecture: any
@@ -34,19 +45,8 @@
 Multi-Arch: same
 Depends: libkf5dnssd-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Abstraction to system DNSSD features.
  KDNSSD is a library for handling the DNS-based
  Service Discovery Protocol (DNS-SD), the layer of
  Zeroconf that allows network services.
-
-Package: libkf5dnssd-data
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Abstraction to system DNSSD features.
- KDNSSD is a library for handling the DNS-based
- Service Discovery Protocol (DNS-SD), the layer of
- Zeroconf that allows network services.
- .
- This package contains the data files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5dnssd5-dbg (<= 5.19.0-1~~)'

## kdnssd-kf5 5.50.0

=== debian/changelog ===
kdnssd-kf5 (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:48 +0100

kdnssd-kf5 (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:47 +0100

kdnssd-kf5 (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:40 +0100

kdnssd-kf5 (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:50 +0200

kdnssd-kf5 (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:52 +0100

kdnssd-kf5 (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:21 +0200

kdnssd-kf5 (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:42 +0100

kdnssd-kf5 (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:25 +0100

kdnssd-kf5 (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:46 +0100

kdnssd-kf5 (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:04 +0100

kdnssd-kf5 (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:30 -0300

kdnssd-kf5 (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:45:04 +0000

kdnssd-kf5 (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:57:07 +0000

kdnssd-kf5 (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:41:02 +0000

kdnssd-kf5 (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:38 +0000

kdnssd-kf5 (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:01 +0200

kdnssd-kf5 (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:03 +0200

kdnssd-kf5 (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:12:50 +0000

kdnssd-kf5 (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:09 +0200

kdnssd-kf5 (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:27 +0000

kdnssd-kf5 (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:27 +0000

kdnssd-kf5 (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:35:08 +0000

kdnssd-kf5 (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:22:28 +0000

kdnssd-kf5 (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:21:43 +0000

kdnssd-kf5 (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:36:14 +0000

kdnssd-kf5 (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:39:23 +0000

kdnssd-kf5 (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:06:53 +0000

kdnssd-kf5 (5.28.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
--- 
+++ 
@@ -3,15 +3,18 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
                libavahi-common-dev,
+               libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qttools5-dev-tools (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kdnssd
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdnssd
@@ -31,14 +34,27 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5dnssd5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5dnssd-doc (= ${source:Version})
 Description: development files for kdnssd
  KDNSSD is a library for handling the DNS-based
  Service Discovery Protocol (DNS-SD), the layer of
  Zeroconf that allows network services.
  .
  Contains development files for kdnssd.
+
+Package: libkf5dnssd-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Abstraction to system DNSSD features (documentation)
+ KDNSSD is a library for handling the DNS-based
+ Service Discovery Protocol (DNS-SD), the layer of
+ Zeroconf that allows network services.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5dnssd5
 Architecture: any

## kdnssd-kf5 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
 project(KDNSSD VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -21,7 +21,7 @@
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-set(REQUIRED_QT_VERSION 5.7.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -33,9 +33,10 @@
 include(CMakePackageConfigHelpers)
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KDNSSD
-         SOVERSION 5               VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdnssd_version.h"
-                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfigVersion.cmake"
-                        SOVERSION 5)
+    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdnssd_version.h"
+    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DNSSDConfigVersion.cmake"
+    SOVERSION 5)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdnssd_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel)
 
 configure_file(config-kdnssd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdnssd.h )

=== debian/changelog ===
kdnssd-kf5 (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:44 -0300

kdnssd-kf5 (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:45 +0100

kdnssd-kf5 (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:25 +0200

kdnssd-kf5 (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:59 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5dnssd5-dbg (<= 5.19.0-1~~)'
